Loading...
Searching...
No Matches
Opm::FlowBC Class Reference

A class for representing a flow boundary condition. More...

`#include <BoundaryConditions.hpp>`

Inheritance diagram for Opm::FlowBC:

## Public Member Functions

| FlowBC ()
| Default constructor, that makes a noflow condition (Neumann, value 0.0).
| FlowBC (BCType type, double value)
| Constructor taking a type and value.
double | pressure () const
| Query a Dirichlet condition.
double | outflux () const
| Query a Neumann condition.
double | pressureDifference () const
| Query a Periodic condition.
Public Member Functions inherited from Opm::BCBase< double >
void | write (std::basic_ostream< charT, traits > &os) const
| Write type and value to an output stream.

## Additional Inherited Members

Public Types inherited from Opm::BCBase< double >
enum | BCType
| Enum for the allowed boundary condition types. More...
Protected Member Functions inherited from Opm::BCBase< double >
| BCBase ()
| Default constructor, that makes a Neumann condition with value 0.0.
bool | isDirichlet () const
| Type query.
bool | isNeumann () const
| Type query.
bool | isPeriodic () const
| Type query.
Protected Attributes inherited from Opm::BCBase< double >
BCType | type_
double | value_

## Detailed Description

A class for representing a flow boundary condition.

## Constructor & Destructor Documentation

## FlowBC()

Opm::FlowBC::FlowBC | ( | BCType | type,
|  | double | value )

inline

Constructor taking a type and value.

Parameters

  type | the condition type.
  value | the condition value.

## Member Function Documentation

## outflux()

double Opm::FlowBC::outflux | ( |  | ) | const

inline

Query a Neumann condition.

Returns
  the outwards flux condition value.

## pressure()

double Opm::FlowBC::pressure | ( |  | ) | const

inline

Query a Dirichlet condition.

Returns
  the pressure condition value

## pressureDifference()

double Opm::FlowBC::pressureDifference | ( |  | ) | const

inline

Query a Periodic condition.

Returns
  the pressure difference condition value.

The documentation for this class was generated from the following file:

- opm/porsol/common/BoundaryConditions.hpp